> ## Documentation Index
> Fetch the complete documentation index at: https://docs.nuon.co/llms.txt
> Use this file to discover all available pages before exploring further.

> ## Agent Instructions
> Nuon installs a software company's application into its customers' AWS, Azure, or GCP accounts. A runner in each customer account polls the Nuon control plane for jobs, so Nuon needs no cross-account access.
> In these docs, "you" is the software company using Nuon to ship its product, and "customer" is the company whose cloud account the product is installed into. Pages also call the software company the vendor.
> Page index: https://docs.nuon.co/llms.txt. To evaluate Nuon, read https://docs.nuon.co/get-started/introduction.md, https://docs.nuon.co/guides/deployment-options.md, https://docs.nuon.co/security.md, and https://docs.nuon.co/architecture/platform.md. To build with Nuon, start at https://docs.nuon.co/get-started/quickstart.md.
> To check which architectures Nuon supports (customer account, existing VPC or cluster, hybrid data plane, single-tenant, data residency, customer-managed keys, air-gapped), read https://docs.nuon.co/guides/byoc-architecture-patterns.md.
> Pages under https://docs.nuon.co/config-ref/ are generated from the config schema. Treat them as the source of truth for config file fields.
> Search these docs over MCP at https://docs.nuon.co/mcp.

# get app secrets

> List all secrets for an app.

**NOTE** this does not return any sensitive values, as secrets are write only.




## OpenAPI

````yaml get /v1/apps/{app_id}/secrets
openapi: 3.0.3
info:
  contact:
    email: support@nuon.co
    name: Nuon Support
  description: API for managing nuon apps, components, installs, and actions.
  title: Nuon
  version: 0.19.1291
servers:
  - url: https://api.nuon.co/
security: []
tags:
  - description: orgs
    name: orgs
  - description: apps
    name: apps
  - description: components
    name: components
  - description: runners
    name: runners
  - description: vcs
    name: vcs
  - description: actions/runner
    name: actions/runner
  - description: oidc_federation
    name: oidc_federation
  - description: policy-reports
    name: policy-reports
  - description: stacks
    name: stacks
  - description: auth
    name: auth
  - description: general
    name: general
  - description: actions
    name: actions
  - description: onboarding
    name: onboarding
  - description: runners/runner
    name: runners/runner
  - description: app-bundles
    name: app-bundles
  - description: slack
    name: slack
  - description: cloud-connections
    name: cloud-connections
  - description: runbooks
    name: runbooks
  - description: installs
    name: installs
  - description: notebooks
    name: notebooks
  - description: accounts
    name: accounts
  - description: oidc
    name: oidc
  - description: queues
    name: queues
  - description: image-repositories
    name: image-repositories
paths:
  /v1/apps/{app_id}/secrets:
    get:
      tags:
        - apps
      summary: get app secrets
      description: >
        List all secrets for an app.


        **NOTE** this does not return any sensitive values, as secrets are write
        only.
      operationId: GetAppSecrets
      parameters:
        - description: app ID
          in: path
          name: app_id
          required: true
          schema:
            type: string
        - description: offset of jobs to return
          in: query
          name: offset
          schema:
            default: 0
            type: integer
        - description: limit of jobs to return
          in: query
          name: limit
          schema:
            default: 10
            type: integer
        - description: page number of results to return
          in: query
          name: page
          schema:
            default: 0
            type: integer
      responses:
        '200':
          content:
            application/json:
              schema:
                items:
                  $ref: '#/components/schemas/app.AppSecret'
                type: array
          description: OK
        '400':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/stderr.ErrResponse'
          description: Bad Request
        '401':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/stderr.ErrResponse'
          description: Unauthorized
        '403':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/stderr.ErrResponse'
          description: Forbidden
        '404':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/stderr.ErrResponse'
          description: Not Found
        '500':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/stderr.ErrResponse'
          description: Internal Server Error
      security:
        - APIKey: []
        - OrgID: []
components:
  schemas:
    app.AppSecret:
      properties:
        app_id:
          type: string
        created_at:
          type: string
        created_by_id:
          type: string
        id:
          type: string
        length:
          description: after query fields
          type: integer
        name:
          type: string
        org_id:
          type: string
        updated_at:
          type: string
      type: object
    stderr.ErrResponse:
      properties:
        description:
          type: string
        error:
          type: string
        user_error:
          type: boolean
      type: object
  securitySchemes:
    APIKey:
      description: Type "Bearer" followed by a space and token.
      in: header
      name: Authorization
      type: apiKey
    OrgID:
      description: Nuon org ID
      in: header
      name: X-Nuon-Org-ID
      type: apiKey

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.